PDA

Visualizza la versione completa : stabile o aggiornato?


andre15
08-05-2004, 17:59
Era da un po' che avevo questo dubbio e ora chiedo a voi:

in un ambiente server (http e samba) è meglio tenere pacchetti
magari un po' più vecchi ma più stabili oppure pacchetti
aggiornatissimi per correggere magari gli ultimi bug trovati?
Ve lo chiedo perchè ho sentito molte volte sia dell'uno che
dell'altro mandandomi così in confusione.

Grazie

lnessuno
08-05-2004, 18:26
per un server direi stabile, visto che i pacchetti sono più testati... e comunque ci sono sempre i bugfix credo :)

HarravanS
08-05-2004, 18:29
beh in linea generale tieni quelli stabili, di solito si rilasciano sempre i pacchetti che correggono le falle di sicurezza.
Avere sempre l'ultima versione può essere in parte rischioso perchè non si conoscono ancora i possibili "buchi".
Certo che i pacchetti eccessivamente vecchi non sono comunque validi.
Il consiglio mio è: valuta caso per caso.

andre15
08-05-2004, 19:10
Grazie dei consigli :) però non capisco una cosa: se io mi tengo i pacchetti stabili e più testati questi pacchetti sono pur sempre vulnerabili ai bug che si scoprono e a questo punto non c'è più sicurezza nel pacchetto (ammesso che, per esempio, i bugfix si trovano solo nella nuova versione del pacchetto e non a parte). A questo punto mi sentirei più sicuro con un pacchetto nuovissimo e con i bugfix e, nel caso ne trovino altri, aggiornerei ancora alla versione ancora più nuova.
Scusate se insisto ma ho la capa dura :dhò:

HarravanS
08-05-2004, 19:20
Infatti io dico di valutare caso per caso.

Alcune volte dovrai scaricare l'ultimissimo, altre tenere una o due versioni in dietro.

andre15
08-05-2004, 19:23
ok allora mi armerò di tanta pazienza.

Grazie mille!!!

:ciauz:

skyblaze
08-05-2004, 19:36
di solito i bugfix sono inclusi nell'utlima release del pacchetto. Io sul mio web e file server aggiorno sempre all'ultima ver con i bug/exploit corretti....tanto appena ne scoprono uno nuovo(dovuto appunto alla nuova ver.) lo riaggiornano subito. Quindi per me non ha senso tenere vecchi pacchetti....a meno che non trovi l'aggiornamento del bug di quel particolare pacchetto vecchio.

andre15
08-05-2004, 22:43
Infatti è quello che mi verrebbe in mente di fare anche a me :D

Grazie a tutti!

Loading